{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.entity.nicothekid_myceling.combat": {
			"initial_state": "default",
			"states": {
				"default": {
					"blend_transition": 0.2,
					"transitions": [
					  {
							"attack_melee": "variable.attack_time > 0.0"
						}
					]
				},
				"attack_melee": {
					"animations": [ "attack_melee" ],
					"transitions": [
						{
							"default": "variable.attack_time <= 0.0"
						}
					]
				}
			}
		},
    "controller.animation.entity.nicothekid_myceling.movement": {
			"initial_state": "walking",
			"states": {
				"walking": {
				  "animations": [
						{
							"walking": "query.modified_move_speed * 1.2"
						}
					],
					"blend_transition": 0.2,
					"transitions": [
						{
							"sitting": "query.is_sitting && query.is_on_ground && !query.is_in_water"
						},
						{
							"sleeping": "query.is_sleeping && query.is_on_ground && !query.is_in_water"
						},
						{
							"swimming": "!query.is_on_ground && query.is_in_water"
						}
					]
				},
				"sitting": {
					"animations": [ "sitting" ],
					"blend_transition": 0.3,
					"transitions": [
					  {
					    "walking": "!query.is_sitting || !query.is_on_ground || query.is_in_water"
					  }
					]
				},
				"sleeping": {
					"animations": [ "sleeping" ],
					"blend_transition": 0.3,
					"transitions": [
						{
							"walking": "!query.is_sleeping || !query.is_on_ground || query.is_in_water"
						}
					]
				},
				"swimming": {
					"animations": [
						{
							"swimming": "query.modified_move_speed"
						}
					],
					"blend_transition": 0.1,
					"transitions": [
						{
							"walking": "query.is_on_ground && !query.is_in_water"
						}
					]
				}
			}
		},
		"controller.animation.entity.nicothekid_myceling.particles": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "myceling_sprouts_particle": "query.variant == 0"
            },
            {
              "glowceling_sprouts_particle": "query.variant == 2"
            }
          ]
        },
        "myceling_sprouts_particle": {
          "particle_effects": [
            {
              "effect": "myceling_sprouts_particle"
            }
          ],
          "transitions": [
            {
              "glowceling_sprouts_particle": "query.variant == 2"
            }
          ]
        },
        "glowceling_sprouts_particle": {
          "particle_effects": [
            {
              "effect": "glowceling_sprouts_particle"
            }
          ],
          "transitions": [
            {
              "myceling_sprouts_particle": "query.variant == 0"
            }
          ]
        }
      }
    }
	}
}
